/* gitg-remote-notification.c generated by valac 0.27.1.26-9b1a5-dirty, the Vala compiler
 * generated from gitg-remote-notification.vala, do not modify */

/*
 * This file is part of gitg
 *
 * Copyright (C) 2012 - Ignacio Casal Quinteiro
 *
 * gitg is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * gitg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with gitg. If not, see <http://www.gnu.org/licenses/>.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <libgit2-glib/ggit.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>


#define GITG_TYPE_PROGRESS_BIN (gitg_progress_bin_get_type ())
#define GITG_PROGRESS_BIN(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GITG_TYPE_PROGRESS_BIN, GitgProgressBin))
#define GITG_PROGRESS_BIN_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GITG_TYPE_PROGRESS_BIN, GitgProgressBinClass))
#define GITG_IS_PROGRESS_BIN(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GITG_TYPE_PROGRESS_BIN))
#define GITG_IS_PROGRESS_BIN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GITG_TYPE_PROGRESS_BIN))
#define GITG_PROGRESS_BIN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GITG_TYPE_PROGRESS_BIN, GitgProgressBinClass))

typedef struct _GitgProgressBin GitgProgressBin;
typedef struct _GitgProgressBinClass GitgProgressBinClass;
typedef struct _GitgProgressBinPrivate GitgProgressBinPrivate;

#define GITG_TYPE_REMOTE_NOTIFICATION (gitg_remote_notification_get_type ())
#define GITG_REMOTE_NOTIFICATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GITG_TYPE_REMOTE_NOTIFICATION, GitgRemoteNotification))
#define GITG_REMOTE_NOTIFICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GITG_TYPE_REMOTE_NOTIFICATION, GitgRemoteNotificationClass))
#define GITG_IS_REMOTE_NOTIFICATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GITG_TYPE_REMOTE_NOTIFICATION))
#define GITG_IS_REMOTE_NOTIFICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GITG_TYPE_REMOTE_NOTIFICATION))
#define GITG_REMOTE_NOTIFICATION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GITG_TYPE_REMOTE_NOTIFICATION, GitgRemoteNotificationClass))

typedef struct _GitgRemoteNotification GitgRemoteNotification;
typedef struct _GitgRemoteNotificationClass GitgRemoteNotificationClass;
typedef struct _GitgRemoteNotificationPrivate GitgRemoteNotificationPrivate;

#define GITG_TYPE_REMOTE (gitg_remote_get_type ())
#define GITG_REMOTE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GITG_TYPE_REMOTE, GitgRemote))
#define GITG_REMOTE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GITG_TYPE_REMOTE, GitgRemoteClass))
#define GITG_IS_REMOTE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GITG_TYPE_REMOTE))
#define GITG_IS_REMOTE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GITG_TYPE_REMOTE))
#define GITG_REMOTE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GITG_TYPE_REMOTE, GitgRemoteClass))

typedef struct _GitgRemote GitgRemote;
typedef struct _GitgRemoteClass GitgRemoteClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define GITG_TYPE_REMOTE_STATE (gitg_remote_state_get_type ())

struct _GitgProgressBin {
	GtkBin parent_instance;
	GitgProgressBinPrivate * priv;
};

struct _GitgProgressBinClass {
	GtkBinClass parent_class;
};

struct _GitgRemoteNotification {
	GitgProgressBin parent_instance;
	GitgRemoteNotificationPrivate * priv;
};

struct _GitgRemoteNotificationClass {
	GitgProgressBinClass parent_class;
};

struct _GitgRemoteNotificationPrivate {
	GitgRemote* d_remote;
	GtkImage* d_image_icon;
	GtkLabel* d_label_text;
	GtkButton* d_button_cancel;
	gboolean d_finished;
};

typedef enum  {
	GITG_REMOTE_STATE_DISCONNECTED,
	GITG_REMOTE_STATE_CONNECTING,
	GITG_REMOTE_STATE_CONNECTED,
	GITG_REMOTE_STATE_TRANSFERRING
} GitgRemoteState;


static gpointer gitg_remote_notification_parent_class = NULL;

GType gitg_progress_bin_get_type (void) G_GNUC_CONST;
GType gitg_remote_notification_get_type (void) G_GNUC_CONST;
GType gitg_remote_get_type (void) G_GNUC_CONST;
#define GITG_REMOTE_NOTIFICATION_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), GITG_TYPE_REMOTE_NOTIFICATION, GitgRemoteNotificationPrivate))
enum  {
	GITG_REMOTE_NOTIFICATION_DUMMY_PROPERTY,
	GITG_REMOTE_NOTIFICATION_TEXT,
	GITG_REMOTE_NOTIFICATION_REMOTE_STATE
};
GitgRemoteNotification* gitg_remote_notification_new (GitgRemote* remote);
GitgRemoteNotification* gitg_remote_notification_construct (GType object_type, GitgRemote* remote);
GitgProgressBin* gitg_progress_bin_new (void);
GitgProgressBin* gitg_progress_bin_construct (GType object_type);
void gitg_remote_notification_success (GitgRemoteNotification* self, const gchar* text);
void gitg_remote_notification_set_text (GitgRemoteNotification* self, const gchar* value);
static void gitg_remote_notification_finish (GitgRemoteNotification* self);
void gitg_remote_notification_error (GitgRemoteNotification* self, const gchar* text);
static void gitg_remote_notification_on_button_cancel_clicked (GitgRemoteNotification* self);
static void _gitg_remote_notification_on_button_cancel_clicked_gtk_button_clicked (GtkButton* _sender, gpointer self);
const gchar* gitg_remote_notification_get_text (GitgRemoteNotification* self);
GType gitg_remote_state_get_type (void) G_GNUC_CONST;
void gitg_remote_notification_set_remote_state (GitgRemoteNotification* self, GitgRemoteState value);
static void gitg_remote_notification_finalize (GObject* obj);
static void _vala_gitg_remote_notification_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_gitg_remote_notification_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static gpointer _g_object_ref0 (gpointer self) {
#line 44 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	return self ? g_object_ref (self) : NULL;
#line 134 "gitg-remote-notification.c"
}


GitgRemoteNotification* gitg_remote_notification_construct (GType object_type, GitgRemote* remote) {
	GitgRemoteNotification * self = NULL;
	GitgRemote* _tmp0_ = NULL;
	GitgRemote* _tmp1_ = NULL;
	GitgRemote* _tmp2_ = NULL;
	GitgRemote* _tmp3_ = NULL;
#line 42 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_return_val_if_fail (remote != NULL, NULL);
#line 42 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	self = (GitgRemoteNotification*) gitg_progress_bin_construct (object_type);
#line 44 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp0_ = remote;
#line 44 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 44 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_g_object_unref0 (self->priv->d_remote);
#line 44 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	self->priv->d_remote = _tmp1_;
#line 46 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp2_ = self->priv->d_remote;
#line 46 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_object_bind_property_with_closures ((GObject*) _tmp2_, "state", (GObject*) self, "remote_state", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, NULL)));
#line 47 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp3_ = self->priv->d_remote;
#line 47 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_object_bind_property_with_closures ((GObject*) _tmp3_, "transfer-progress", (GObject*) self, "fraction", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, NULL)));
#line 42 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	return self;
#line 166 "gitg-remote-notification.c"
}


GitgRemoteNotification* gitg_remote_notification_new (GitgRemote* remote) {
#line 42 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	return gitg_remote_notification_construct (GITG_TYPE_REMOTE_NOTIFICATION, remote);
#line 173 "gitg-remote-notification.c"
}


void gitg_remote_notification_success (GitgRemoteNotification* self, const gchar* text) {
	GtkImage* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GtkStyleContext* _tmp2_ = NULL;
#line 50 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_return_if_fail (self != NULL);
#line 50 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_return_if_fail (text != NULL);
#line 52 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp0_ = self->priv->d_image_icon;
#line 52 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_object_set (_tmp0_, "icon-name", "emblem-ok-symbolic", NULL);
#line 53 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp1_ = text;
#line 53 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gitg_remote_notification_set_text (self, _tmp1_);
#line 55 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp2_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 55 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gtk_style_context_add_class (_tmp2_, "success");
#line 57 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gitg_remote_notification_finish (self);
#line 199 "gitg-remote-notification.c"
}


void gitg_remote_notification_error (GitgRemoteNotification* self, const gchar* text) {
	GtkImage* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GtkStyleContext* _tmp2_ = NULL;
#line 60 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_return_if_fail (self != NULL);
#line 60 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_return_if_fail (text != NULL);
#line 62 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp0_ = self->priv->d_image_icon;
#line 62 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_object_set (_tmp0_, "icon-name", "network-error-symbolic", NULL);
#line 63 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp1_ = text;
#line 63 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gitg_remote_notification_set_text (self, _tmp1_);
#line 65 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp2_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 65 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gtk_style_context_add_class (_tmp2_, "error");
#line 66 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gitg_remote_notification_finish (self);
#line 225 "gitg-remote-notification.c"
}


static void gitg_remote_notification_finish (GitgRemoteNotification* self) {
	GtkButton* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 69 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_return_if_fail (self != NULL);
#line 71 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	self->priv->d_finished = TRUE;
#line 72 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp0_ = self->priv->d_button_cancel;
#line 72 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp1_ = _ ("Close");
#line 72 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gtk_button_set_label (_tmp0_, _tmp1_);
#line 242 "gitg-remote-notification.c"
}


static void gitg_remote_notification_on_button_cancel_clicked (GitgRemoteNotification* self) {
	gboolean _tmp0_ = FALSE;
#line 101 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_return_if_fail (self != NULL);
#line 103 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp0_ = self->priv->d_finished;
#line 103 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	if (_tmp0_) {
#line 105 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		g_signal_emit_by_name (self, "close");
#line 256 "gitg-remote-notification.c"
	} else {
#line 109 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		g_signal_emit_by_name (self, "cancel");
#line 260 "gitg-remote-notification.c"
	}
}


static void _gitg_remote_notification_on_button_cancel_clicked_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gitg_remote_notification_on_button_cancel_clicked ((GitgRemoteNotification*) self);
#line 268 "gitg-remote-notification.c"
}


const gchar* gitg_remote_notification_get_text (GitgRemoteNotification* self) {
	const gchar* result;
	GtkLabel* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 77 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 77 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp0_ = self->priv->d_label_text;
#line 77 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp1_ = gtk_label_get_label (_tmp0_);
#line 77 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp2_ = _tmp1_;
#line 77 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	result = _tmp2_;
#line 77 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	return result;
#line 289 "gitg-remote-notification.c"
}


void gitg_remote_notification_set_text (GitgRemoteNotification* self, const gchar* value) {
	GtkLabel* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 78 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_return_if_fail (self != NULL);
#line 78 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp0_ = self->priv->d_label_text;
#line 78 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp1_ = value;
#line 78 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gtk_label_set_label (_tmp0_, _tmp1_);
#line 78 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_object_notify ((GObject *) self, "text");
#line 306 "gitg-remote-notification.c"
}


void gitg_remote_notification_set_remote_state (GitgRemoteNotification* self, GitgRemoteState value) {
	GitgRemoteState _tmp0_ = 0;
#line 83 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_return_if_fail (self != NULL);
#line 85 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_tmp0_ = value;
#line 85 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	switch (_tmp0_) {
#line 85 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		case GITG_REMOTE_STATE_CONNECTING:
#line 320 "gitg-remote-notification.c"
		{
			GtkImage* _tmp1_ = NULL;
#line 88 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
			_tmp1_ = self->priv->d_image_icon;
#line 88 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
			g_object_set (_tmp1_, "icon-name", "network-wireless-acquiring-symbolic", NULL);
#line 89 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
			break;
#line 329 "gitg-remote-notification.c"
		}
#line 85 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		case GITG_REMOTE_STATE_CONNECTED:
#line 333 "gitg-remote-notification.c"
		{
			GtkImage* _tmp2_ = NULL;
#line 91 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
			_tmp2_ = self->priv->d_image_icon;
#line 91 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
			g_object_set (_tmp2_, "icon-name", "network-idle-symbolic", NULL);
#line 92 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
			break;
#line 342 "gitg-remote-notification.c"
		}
#line 85 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		case GITG_REMOTE_STATE_TRANSFERRING:
#line 346 "gitg-remote-notification.c"
		{
			GtkImage* _tmp3_ = NULL;
#line 94 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
			_tmp3_ = self->priv->d_image_icon;
#line 94 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
			g_object_set (_tmp3_, "icon-name", "network-transmit-receive-symbolic", NULL);
#line 95 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
			break;
#line 355 "gitg-remote-notification.c"
		}
		default:
#line 85 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		break;
#line 360 "gitg-remote-notification.c"
	}
#line 83 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_object_notify ((GObject *) self, "remote-state");
#line 364 "gitg-remote-notification.c"
}


static void gitg_remote_notification_class_init (GitgRemoteNotificationClass * klass) {
	gint GitgRemoteNotification_private_offset;
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gitg_remote_notification_parent_class = g_type_class_peek_parent (klass);
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_type_class_add_private (klass, sizeof (GitgRemoteNotificationPrivate));
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_gitg_remote_notification_get_property;
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_gitg_remote_notification_set_property;
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	G_OBJECT_CLASS (klass)->finalize = gitg_remote_notification_finalize;
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GITG_REMOTE_NOTIFICATION_TEXT, g_param_spec_string ("text", "text", "text", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GITG_REMOTE_NOTIFICATION_REMOTE_STATE, g_param_spec_enum ("remote-state", "remote-state", "remote-state", GITG_TYPE_REMOTE_STATE, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_WRITABLE));
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	GitgRemoteNotification_private_offset = g_type_class_get_instance_private_offset (klass);
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gtk_widget_class_set_template_from_resource (GTK_WIDGET_CLASS (klass), "/org/gnome/gitg/ui/gitg-remote-notification.ui");
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_signal_new ("cancel", GITG_TYPE_REMOTE_NOTIFICATION, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	g_signal_new ("close", GITG_TYPE_REMOTE_NOTIFICATION, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "image_icon", FALSE, GitgRemoteNotification_private_offset + G_STRUCT_OFFSET (GitgRemoteNotificationPrivate, d_image_icon));
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "label_text", FALSE, GitgRemoteNotification_private_offset + G_STRUCT_OFFSET (GitgRemoteNotificationPrivate, d_label_text));
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "button_cancel", FALSE, GitgRemoteNotification_private_offset + G_STRUCT_OFFSET (GitgRemoteNotificationPrivate, d_button_cancel));
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "on_button_cancel_clicked", G_CALLBACK(_gitg_remote_notification_on_button_cancel_clicked_gtk_button_clicked));
#line 400 "gitg-remote-notification.c"
}


static void gitg_remote_notification_instance_init (GitgRemoteNotification * self) {
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	self->priv = GITG_REMOTE_NOTIFICATION_GET_PRIVATE (self);
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	gtk_widget_init_template (GTK_WIDGET (self));
#line 409 "gitg-remote-notification.c"
}


static void gitg_remote_notification_finalize (GObject* obj) {
	GitgRemoteNotification * self;
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, GITG_TYPE_REMOTE_NOTIFICATION, GitgRemoteNotification);
#line 26 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_g_object_unref0 (self->priv->d_remote);
#line 29 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_g_object_unref0 (self->priv->d_image_icon);
#line 32 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_g_object_unref0 (self->priv->d_label_text);
#line 35 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	_g_object_unref0 (self->priv->d_button_cancel);
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	G_OBJECT_CLASS (gitg_remote_notification_parent_class)->finalize (obj);
#line 427 "gitg-remote-notification.c"
}


GType gitg_remote_notification_get_type (void) {
	static volatile gsize gitg_remote_notification_type_id__volatile = 0;
	if (g_once_init_enter (&gitg_remote_notification_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (GitgRemoteNotificationClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) gitg_remote_notification_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (GitgRemoteNotification), 0, (GInstanceInitFunc) gitg_remote_notification_instance_init, NULL };
		GType gitg_remote_notification_type_id;
		gitg_remote_notification_type_id = g_type_register_static (GITG_TYPE_PROGRESS_BIN, "GitgRemoteNotification", &g_define_type_info, 0);
		g_once_init_leave (&gitg_remote_notification_type_id__volatile, gitg_remote_notification_type_id);
	}
	return gitg_remote_notification_type_id__volatile;
}


static void _vala_gitg_remote_notification_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	GitgRemoteNotification * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, GITG_TYPE_REMOTE_NOTIFICATION, GitgRemoteNotification);
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	switch (property_id) {
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		case GITG_REMOTE_NOTIFICATION_TEXT:
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		g_value_set_string (value, gitg_remote_notification_get_text (self));
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		break;
#line 454 "gitg-remote-notification.c"
		default:
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		break;
#line 460 "gitg-remote-notification.c"
	}
}


static void _vala_gitg_remote_notification_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	GitgRemoteNotification * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, GITG_TYPE_REMOTE_NOTIFICATION, GitgRemoteNotification);
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
	switch (property_id) {
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		case GITG_REMOTE_NOTIFICATION_TEXT:
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		gitg_remote_notification_set_text (self, g_value_get_string (value));
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		break;
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		case GITG_REMOTE_NOTIFICATION_REMOTE_STATE:
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		gitg_remote_notification_set_remote_state (self, g_value_get_enum (value));
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		break;
#line 482 "gitg-remote-notification.c"
		default:
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 24 "/home/garrett/hacking/gnome/gitg/libgitg/gitg-remote-notification.vala"
		break;
#line 488 "gitg-remote-notification.c"
	}
}



